
QGIS Application - Bug report #7926

blending modes layer are not exported well if resolution is high

2013-05-28 07:28 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee: Vincent Mora

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16797

Description

High, 

when exporting a composer in raster mode (A0 or A1), when asking for higher dpi, layers with blending mode are not rendered. 

I have a A1 composition , export is ok in up to 220 dpi. When asking 250 or higher, I loose those layers

With A0 same composition, the threshold is lower 50 dpi is  KO.

See attached screenshot.

Associated revisions

Revision eeaa867e - 2013-07-29 03:51 PM - Vincent Mora

- fix #7926

- the painting is ended if image cannot be allocated in renderer

Revision 812d1ed1 - 2013-07-30 08:33 AM - Nathan Woodrow

Merge pull request #776 from Oslandia/issue7926

- fix #7926

History

#1 - 2013-06-23 08:12 PM - Mathieu Pellerin - nIRV

Regis, this might be "fixed" by this commit:bed65cb1f4dbc582d0b3be0d3b1d9e9083e8086e

The above introduces a warning message when running out of memory while exporting to image. Could you check and confirm?

#2 - 2013-06-24 09:14 AM - Paolo Cavallini

- Category set to 33

#3 - 2013-07-10 04:22 PM - Jürgen Fischer

- Status changed from Open to Feedback

#4 - 2013-07-15 03:51 PM - Nathan Woodrow

Regis can we get a update on this if you are still having the same issue.
#5 - 2013-07-16 01:27 AM - Giovanni Manghi

Nathan Woodrow wrote:

Regis can we get a update on this if you are still having the same issue.

isn't this another side of the printing memory issue on Windows? See for example #4821-24

#6 - 2013-07-18 08:49 AM - Hugo Mercier

- Assignee set to Hugo Mercier

- Status changed from Feedback to In Progress

Reproduced on a Windows 32 bits. Can't reproduce on a Linux 64 bits.

Not sure yet if it is related to #4821

Seems related to a memory issue.

Working on it

#7 - 2013-07-29 06:58 AM - Vincent Mora

- Status changed from In Progress to Resolved

- Assignee changed from Hugo Mercier to Vincent Mora

- Resolution set to fixed

- Pull Request or Patch supplied changed from No to Yes

We found the problem with Hugo in QgsMapRenderer::render where an image could not be allocated (too big). The fix is here:

https://github.com/qgis/Quantum-GIS/pull/776

#8 - 2013-07-29 11:33 PM - Nathan Woodrow

- Status changed from Resolved to Closed

Fixed in changeset commit:"812d1ed1d8fe4f9b38d54160beed034bd57e0ae9".

#9 - 2013-07-29 11:40 PM - Vincent Mora

Bug fixed thanks to fundings from Agence de l'Eau Adour-Garonne.
